نویسنده: مصطفی حافظی

ویندوز

امنیت پایین و دسترسی به اطلاعات تعداد زیادی از کاربران سبب شد تا گوگل به فکر راه چاره بیفتد. افزونه‌های مرورگر، امکانات بسیاری را در اختیار کاربران قرار می‌دهد؛ اما این افزونه ها در بسیاری از موارد، درخواست دسترسی کامل به تمام صفحات وب را دارند.

تاکنون مطالب زیادی در مورد سوء استفاده از اطلاعات کاربران یا ماینرهای ارز رمزنگاری شده، از طریق افزونه های مرورگر منتشر شده است و بروز چنین اتفاقاتی بسیار شایع به نظر می رسد. این شرایط باعث شده تا گوگل بخشی از تغییرات در افزونه‌های کروم را با هدف ایجاد فضایی مطمئن‌تر برای مرورگر ها را در دستور کار قرار دهد. طبق اعلام این غول تکنولوژی فضای مرورگرها در آینده امن تر و مطمئن تر خواهد شد.

افزونه ها چه دسترسی هایی می خواهند؟

از میان افزونه های کروم ، برخی دامنه‌ ی عملکردی محدود تری دارند. مثلا افزونه‌ی Toolbox، فقط نیاز به مجوز پلی‌استور و APKMirrorدارد. اما بقیه مجوز خواندن تمامی صفحات را دارا هستند. افزونه های ادبلاکر، که ابزاری برای حفظ حریم خصوصی می باشند، معمولا در این دسته قرار دارند. گوگل احتمالا کروم ورژن ۷۰ را در ماه جاری میلادی منتشر خواهد کرد. کاربران می‌توانند افزونه‌های دور از دسترس را محدود کنند تا تنها برای سایت‌های فهرست‌‌سفید، کار کنند. گوگل اعلام کرد که:

 «نسخه‌های آینده‌ی گوگل کروم، به بهبود شفافیت عملکرد برای کاربر کمک می‌کنند و امکان کنترل افزونه‌ها، در زمانی که افزونه‌ها می‌توانند به داده‌های سایت دسترسی داشته باشند، درنظر گرفته می‌شود».

 

این تغییرات اعمالی به هیچ وجه تناقضی با افزونه‌های موجود ندارند. همچنین گوگل، راهنمای این تغییرات را برای توسعه‌دهندگان نیز منتشر کرده است.

افزونه کروم

 

طبق اعلام این کمپانی، تغییراتی در فرآیند تایید افزونه‌ی Chrome Web Store، اعمال خواهد شد. در همین راستا، از ماه‌های آغازین سال میلادی پیش رو، اکانت های کاربری توسعه‌دهندگان،‌ باید تائید هویت دومرحله‌ای داشته باشند. googleدر این باره چنین اعلام کرد که وقتی افزونه ای انتشار عمومی می یابد، اولین کسانی که از آن استقبال می کنند هکر ها و یا متجاوزانی هستند که می خواهند از اطلاعات افراد سوء استفاده نمایند. به همین دلیل، امکان تأیید هویت دومرحله‌ای، امنیت بیشتری را با تایید هویت دوم برای دسترسی به گوشی هوشمند یا کلید امنیتی فیزیکی ایجاد می کند.

تغییرات دیگری مثل ممنوعیت کد مبهم یا obfuscatedو فرآیندهای بازبینی بیشتر در افزونه‌های جدید است که مجوزهای قوی را درخواست می‌کند. همچنین طبق اعلام گوگل در سال آینده‌ی میلادی، نسخه‌ی جدید (v3)، منتشر می شود که درخواست‌های کنترل‌ و پشتیبانی‌ بیشتری در اختیار Service Workersمی گذارد.

ارسال دیدگاه

آدرس ایمیل شما منتشر نخواهد شد.

نمایش دیدگاه ها

حمید | 1397/08/06

چرا همه جا حرف از chrome هست؟ یکم هم راجع به firefox مطلب بذارید. مرسی

tina | 1397/08/07

پس تا اونجایی که می تونیم فعلا نباید از افزونه ها استفاده کنیم تا بروزرسانی جدید بیاد

اشتراک گذاری

خبرهای مشابه

تازه ها

پربیننده ها